ACCESS_DENIED_MESSAGE = 'Access denied for user "%s". Reason is "%s"'

class ServerError (RuntimeError):
    pass

class AccessPrivilegeError(ServerError):
    def __init__(self, value):
        self.value = value
    def __str__(self):
        return repr(self.value)